#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		__python	/usr/bin/python3
%define		_builddir	%{_topdir}/BUILD_%(basename %{__python})
%define		sname		%(echo %{name}  | cut -d '-' -f2-3)
#-----------------------------------------------------------------------------
Name		:	python3-PyMySQL
Version		:	1.1.0
Release		:	17.0.10.rel%{?dist}
Summary		:	pure-Python MySQL client library
Group		:	Development/Languages

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	MIT
URL		:	https://pypi.org/project/pymysql/

Source0		:	%{sname}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	%(basename %{__python})
BuildRequires	:	python-build
BuildRequires	:	python-flit-core
BuildRequires	:	python-installer
BuildRequires	:	python3-setuptools
BuildRequires	:	python-wheel

BuildArch	:	noarch

#-----------------------------------------------------------------------------
%description
This package contains a pure-Python MySQL
client library, based on PEP 249.

#-----------------------------------------------------------------------------
%files			
%defattr(-, root,root,-)
%doc LICENSE README.md
%{python3_sitelib}/pymysql/*.py
%{python3_sitelib}/pymysql/__pycache__/*.pyc
%{python3_sitelib}/pymysql/constants/*.py
%{python3_sitelib}/pymysql/constants/__pycache__/*.pyc
%{python3_sitelib}/%{sname}-%{version}.dist-info/

#=============================================================================
%prep
%setup -q -n %{sname}-%{version}

#-----------------------------------------------------------------------------
#building application
%build

%{__python}						\
	-m build					\
	--wheel						\
	--skip-dependency-check				\
	--no-isolation					\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__python}						\
	-m installer					\
	--destdir=%{buildroot}				\
	dist/*.whl					\

#-----------------------------------------------------------------------------
%changelog
